I Want to change the View of viewport according to the Combobox change event. the drawing is updating only after exiting the macro. My aim is to view my 3D object in different views and to modify it.
Here is my code.
Private Sub UserForm_Initialize()
ComboBox1.AddItem "Top"
ComboBox1.AddItem "Left"
ComboBox1.ListIndex = 0
End Sub
Private Sub ComboBox1_Change()
ThisDrawing.SendCommand "-View" & vbCr & ComboBox1.Text & vbCr
ThisDrawing.Regen acActiveViewport
End Sub
Any examples on how to list all the layers of a current drawing and populate a ComboBox on a form with that list. It seems pretty simple, i'm just gonig through the .NET Developer guide now but was hoping there was a quicker solution.
Private Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim entry As AcadLayer Dim LayList As String Set layerColl = ThisDrawing.Layers For Each entry In layerColl ComboBox1.AddItem entry.Name Next End Sub
I have a form with a combobox. That combobox is filled up with all layers in a drawing. (see above)
Now I want to make the layer that I have selected (value) in the combobox the current layer in my drawing.
I have a form with a combobox and a commandbutton.
All layers in the layermanager must be locked except the active layer chosen in the combobox. I try it with this code but it’s not the right solution.
Private Sub CommandButton1_Click()Dim layer As AcadLayer'check if all layers are lockedIf layer.Lock = False Thenlayer.Lock = True'make the layer selected in the combobox currentThisDrawing.ActiveLayer = ThisDrawing.Layers.Item(ComboBox1.Text)End SubPrivate Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim layer As AcadLayer Dim LayList As String ' all layers locked For Each layer In ThisDrawing.Layers If layer.Lock = False Then layer.Lock = True End IfNext 'fill combobox Set layerColl = ThisDrawing.Layers For Each layer In layerColl ComboBox1.AddItem layer.Name Next End Sub
2. When I choose the for next method to lock all layers (40 layers) it’s very slow.
I watched a tutorial on Youtube about using Edge Animate to allow interactive color changes on an SVG image. In the youtube video he had 3 or 4 color swatches that he would select from to change the colors to. However I have a much bigger color chart I would like to offer and about 18 different groups on the SVG that can change in color. I am hoping to be able to offer a drop-down box of color swatches with a combo box that says the name of the color swatch so that when they have the design the way they want they can copy the color swatch/SVG group name and include in their order.
I have found some different code on the Internet but I don't know how to implement it in Edge Animate. Can you show me an example of how to add a ColorPicker ComboBox where I can add my own color swatches to it? I want the ColorPicker to be something that I can use again and again for every design.
The loupe view on the second screen used to display information about the photo. I double clicked on it and it disappeared and no matter what I do I can't seem to get it back.
On the primary screen this can be added/removed or changed in Library Module by selecting the menu view->view options... which gets you to a settings window where you can set what shows. However, I cannot seem to find a similar thing for the second monitor.
When I'm working in PS CS and open a folder of pictures it always reverts to List view even though I exited last time in Thumbnail view. How can I set it to open in Thumbnail view by default?
In Ken LaRue's demo (see attachment B), theres a lot more option for you to tinker with in CFX.mine (see attachment A) only stops at 'timing' option. what do i need to do to view the rest of it?
and because i cant view the rest of the option, i can't change CFX schematic view to Action schematic view.
i already know how to change the viewport scaling from 1:1, to 1:10, to 1:20, and so on but my real issue is someone before me change the view scale from 1:1 to 1:.808XXXXX. when i print my figures from the layout everything that is not in the viewport ( like my scale bar) come out shorter that it is on the the screen in paper space. Ive tried to change it back to 1:1 but it wont accept it and keeps the .808XXX value.
How can i change my default setting from picture 1 to a new setting like picture 2 when i open up a new part file and assembly file.Is there a setting i can change so whenever i open a new part file & assembly i have this setting as my default.
I was wondering if there was a way to change the model my base views were linked to.
If I wanted to link the base view to a different model, would this be possible.
When I double click on the base view it shows the file path for the model that is currently chosen; however, it is all grey and I am unable to edit it or choose another file path.
How to change this? Is this even possible? Is it because I have annotated the drawing view that I am unable to change the model path?
I created an iassembly with several dozen configurations, and I need to see all the layers in the BOM. I can't do that with an iassembly. (This is where I learned this unfortunate truth.)
I reopen the 2d, the BOM reset itself to one layer, and any editing had dissappeared. (I need to make all titles of subassemblies not visible, and reorder a few components.)
If I drop a configuration in its own assembly, I can show all layers. If I use Design Assistant to copy the first drawing/assembly for another configuration, the views update just fine, but the BOM still references the original file's assembly. I can delete it and drop a new one, but I have to edit the BOM again.
If I drop the iassembly into an assembly by itself, I can't get the BOM to cooperate. I can set the Structured Properties to all all levels, and expand subassemblies, but it doesn't save. I can open BOM properties in the assembly, and they're all collapsed again. In the drawing, the Level is set to All Levels, but only the iassembly is displayed.
Are there any ways to change what the BOM is referencing? I'd rather not drop in a new one as the BOM would have to be ediited for each new print, and I have dozens to do...
I've attached a screen shot in hopes it will inspire. I will be needing around 200 prints of all the variations of this assembly. It will vary in diameter, length, and a few components are iparts that change size.
The more automated/streamlined the documentation, the better.
what could have happened in an assembly when I've changed the cube front view (3D)? The projection has changed automatically (the view) in 2D. In other assemblies didn't happened the thing I've mentioned before even if I did the same thing meaning that I've modified the front view but 2D stayed in the same projection.
Is there any way to modify the order of the views that have been placed on the drawing sheet? We have a lot of times where we place an assembly view to drive the title block and then place the child components for detailing. Too many time the assembly view gets forgotten until you are done detailing the other parts, now instead of the assembly name showing on that sheet it is the first part you inserted. I would like to be able to select a view and tell Inventor that I would like this view to be the first view instead so I don't have to copy and past everything from one sheet to another. I used to have some code that looked at that first view but I can't find it anymore.
Can I insert a field in the title block in the layouts that will show the date of the last change made to the part of the model that is shown in the layout view.
So after creating a bunch of assemblies with associated presentation and drawing files I was told that each assembly needs multiple representations for different part colors. I would like to be able to change the representation view of my assembly (i.e. from 'Master' to 'Black') in the presentation file I've already made and have the colors update here and in the associated drawing files.
PS - I do know how to change the representation in a new view. So...hindsight 20/20.
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
Someone was using my computer and maybe they clicked on some button but now if I am in a layout and double click on my viewport I can not change the View Scale by typing in a custom scale.
I typically work in meters and do subdivision layout so I use 1:500 up to 1:5,000 but now even though the view ports are unlocked the number will not change when I type it in but I can zoom in and out with my mouse.
I can pick a scale in viewport scale like 1:5 1:1 but prefer to type in my scale as I like to plot it.
I use: oView.scale=oView.scale/2 to half each view scale. It works for base view, projected views like bottom view and left view, but it doesn't work for Isometric view. Which property should I use for Isometric view?
So I am trying to edit certain text features dealing with stationing in one profile view (for example I don't want any stationing on the top of the profile view). How do I do this so it will just affect the noted profile view and not delete the stationing on all of my profile views in this drawing.
I created a xref. this xref included some poly line. width is 0.2mm. i need this poly line line weight should be change from different view port. right now this is shown in narrow line width. how can change this line weight at view port?